Package com.clickhouse.jdbc.parser

## Interface ClickHouseSqlParserConstants

All Known Implementing Classes:
  `ClickHouseSqlParser`, `ClickHouseSqlParserTokenManager`

    public interface ClickHouseSqlParserConstants

Token literal values and constants. Generated by com.helger.pgcc.output.java.OtherFilesGenJava#start()

### Field Summary

Fields
`static int` `A` RegularExpression Id.
`static int` `ALL` RegularExpression Id.
`static int` `ALTER` RegularExpression Id.
`static int` `AND` RegularExpression Id.
`static int` `APPLY` RegularExpression Id.
`static int` `ARRAY` RegularExpression Id.
`static int` `ARROW` RegularExpression Id.
`static int` `AS` RegularExpression Id.
`static int` `ASOF` RegularExpression Id.
`static int` `ASTERISK` RegularExpression Id.
`static int` `AT` RegularExpression Id.
`static int` `ATTACH` RegularExpression Id.
`static int` `B` RegularExpression Id.
`static int` `BACK_QUOTE` RegularExpression Id.
`static int` `BACK_QUOTED_NAME` RegularExpression Id.
`static int` `BACK_SLASH` RegularExpression Id.
`static int` `BETWEEN` RegularExpression Id.
`static int` `C` RegularExpression Id.
`static int` `CASE` RegularExpression Id.
`static int` `CHECK` RegularExpression Id.
`static int` `CLUSTER` RegularExpression Id.
`static int` `COLON` RegularExpression Id.
`static int` `COMMA` RegularExpression Id.
`static int` `CONCAT` RegularExpression Id.
`static int` `CONVERT` RegularExpression Id.
`static int` `CREATE` RegularExpression Id.
`static int` `D` RegularExpression Id.
`static int` `DASH` RegularExpression Id.
`static int` `DATABASE` RegularExpression Id.
`static int` `DATABASES` RegularExpression Id.
`static int` `DATE` RegularExpression Id.
`static int` `DAY` RegularExpression Id.
`static int` `DEC_DIGIT` RegularExpression Id.
`static int` `DECIMAL_LITERAL` RegularExpression Id.
`static int` `DEFAULT` Lexical state.
`static int` `DELETE` RegularExpression Id.
`static int` `DESC` RegularExpression Id.
`static int` `DESCRIBE` RegularExpression Id.
`static int` `DETACH` RegularExpression Id.
`static int` `DICTIONARIES` RegularExpression Id.
`static int` `DICTIONARY` RegularExpression Id.
`static int` `DISTINCT` RegularExpression Id.
`static int` `DOLLAR` RegularExpression Id.
`static int` `DOT` RegularExpression Id.
`static int` `DOUBLE_QUOTE` RegularExpression Id.
`static int` `DOUBLE_QUOTED_NAME` RegularExpression Id.
`static int` `DROP` RegularExpression Id.
`static int` `E` RegularExpression Id.
`static int` `ELSE` RegularExpression Id.
`static int` `END` RegularExpression Id.
`static int` `EOF` End of File.
`static int` `EQ_DOUBLE` RegularExpression Id.
`static int` `EQ_SINGLE` RegularExpression Id.
`static int` `EXCEPT` RegularExpression Id.
`static int` `EXISTS` RegularExpression Id.
`static int` `EXPLAIN` RegularExpression Id.
`static int` `F` RegularExpression Id.
`static int` `FINAL` RegularExpression Id.
`static int` `FLOATING_LITERAL` RegularExpression Id.
`static int` `FORMAT` RegularExpression Id.
`static int` `FROM` RegularExpression Id.
`static int` `FULL` RegularExpression Id.
`static int` `FUNCTION` RegularExpression Id.
`static int` `G` RegularExpression Id.
`static int` `GE` RegularExpression Id.
`static int` `GLOBAL` RegularExpression Id.
`static int` `GRANT` RegularExpression Id.
`static int` `GROUP` RegularExpression Id.
`static int` `GT` RegularExpression Id.
`static int` `H` RegularExpression Id.
`static int` `HASH` RegularExpression Id.
`static int` `HAVING` RegularExpression Id.
`static int` `HEX_DIGIT` RegularExpression Id.
`static int` `HEXADECIMAL_LITERAL` RegularExpression Id.
`static int` `HOUR` RegularExpression Id.
`static int` `I` RegularExpression Id.
`static int` `IDENTIFIER` RegularExpression Id.
`static int` `IF` RegularExpression Id.
`static int` `ILIKE` RegularExpression Id.
`static int` `IN` RegularExpression Id.
`static int` `INF` RegularExpression Id.
`static int` `INNER` RegularExpression Id.
`static int` `INPUT` RegularExpression Id.
`static int` `INSERT` RegularExpression Id.
`static int` `INTERVAL` RegularExpression Id.
`static int` `INTO` RegularExpression Id.
`static int` `IS` RegularExpression Id.
`static int` `J` RegularExpression Id.
`static int` `JDBC_LITERAL` RegularExpression Id.
`static int` `JOIN` RegularExpression Id.
`static int` `K` RegularExpression Id.
`static int` `KILL` RegularExpression Id.
`static int` `L` RegularExpression Id.
`static int` `LBRACE` RegularExpression Id.
`static int` `LBRACKET` RegularExpression Id.
`static int` `LE` RegularExpression Id.
`static int` `LEFT` RegularExpression Id.
`static int` `LETTER` RegularExpression Id.
`static int` `LIKE` RegularExpression Id.
`static int` `LIMIT` RegularExpression Id.
`static int` `LIVE` RegularExpression Id.
`static int` `LPAREN` RegularExpression Id.
`static int` `LT` RegularExpression Id.
`static int` `M` RegularExpression Id.
`static int` `MATERIALIZED` RegularExpression Id.
`static int` `MINUTE` RegularExpression Id.
`static int` `MONTH` RegularExpression Id.
`static int` `MULTI_LINE_COMMENT` Lexical state.
`static int` `N` RegularExpression Id.
`static int` `NAN` RegularExpression Id.
`static int` `NOT` RegularExpression Id.
`static int` `NOT_EQ` RegularExpression Id.
`static int` `NULL` RegularExpression Id.
`static int` `O` RegularExpression Id.
`static int` `OFFSET` RegularExpression Id.
`static int` `ON` RegularExpression Id.
`static int` `OPTIMIZE` RegularExpression Id.
`static int` `OR` RegularExpression Id.
`static int` `ORDER` RegularExpression Id.
`static int` `OUTFILE` RegularExpression Id.
`static int` `P` RegularExpression Id.
`static int` `PERCENT` RegularExpression Id.
`static int` `PLUS` RegularExpression Id.
`static int` `POLICY` RegularExpression Id.
`static int` `PREWHERE` RegularExpression Id.
`static int` `PROFILE` RegularExpression Id.
`static int` `Q` RegularExpression Id.
`static int` `QUARTER` RegularExpression Id.
`static int` `QUERY` RegularExpression Id.
`static int` `QUOTA` RegularExpression Id.
`static int` `R` RegularExpression Id.
`static int` `RBRACE` RegularExpression Id.
`static int` `RBRACKET` RegularExpression Id.
`static int` `RENAME` RegularExpression Id.
`static int` `REPLACE` RegularExpression Id.
`static int` `REVOKE` RegularExpression Id.
`static int` `RIGHT` RegularExpression Id.
`static int` `ROLE` RegularExpression Id.
`static int` `ROW` RegularExpression Id.
`static int` `RPAREN` RegularExpression Id.
`static int` `S` RegularExpression Id.
`static int` `SAMPLE` RegularExpression Id.
`static int` `SECOND` RegularExpression Id.
`static int` `SELECT` RegularExpression Id.
`static int` `SEMICOLON` RegularExpression Id.
`static int` `SET` RegularExpression Id.
`static int` `SETTINGS` RegularExpression Id.
`static int` `SHOW` RegularExpression Id.
`static int` `SINGLE_LINE_COMMENT` RegularExpression Id.
`static int` `SINGLE_QUOTE` RegularExpression Id.
`static int` `SLASH` RegularExpression Id.
`static int` `STRING_LITERAL` RegularExpression Id.
`static int` `SYSTEM` RegularExpression Id.
`static int` `T` RegularExpression Id.
`static int` `TABLE` RegularExpression Id.
`static int` `TABLES` RegularExpression Id.
`static int` `TEMPORARY` RegularExpression Id.
`static int` `THEN` RegularExpression Id.
`static int` `TIES` RegularExpression Id.
`static int` `TIMESTAMP` RegularExpression Id.
`static String[]` `tokenImage` Literal token values.
`static int` `TOP` RegularExpression Id.
`static int` `TOTALS` RegularExpression Id.
`static int` `TRUNCATE` RegularExpression Id.
`static int` `U` RegularExpression Id.
`static int` `UNDERSCORE` RegularExpression Id.
`static int` `UNION` RegularExpression Id.
`static int` `UPDATE` RegularExpression Id.
`static int` `USE` RegularExpression Id.
`static int` `USER` RegularExpression Id.
`static int` `USING` RegularExpression Id.
`static int` `V` RegularExpression Id.
`static int` `VALUES` RegularExpression Id.
`static int` `VIEW` RegularExpression Id.
`static int` `W` RegularExpression Id.
`static int` `WATCH` RegularExpression Id.
`static int` `WEEK` RegularExpression Id.
`static int` `WHEN` RegularExpression Id.
`static int` `WHERE` RegularExpression Id.
`static int` `WHITESPACE` RegularExpression Id.
`static int` `WITH` RegularExpression Id.
`static int` `X` RegularExpression Id.
`static int` `Y` RegularExpression Id.
`static int` `YEAR` RegularExpression Id.
`static int` `Z` RegularExpression Id.
`static int` `ZERO` RegularExpression Id.

### Field Detail

#### EOF

    static final int EOF

End of File.

See Also:
  Constant Field Values

#### WHITESPACE

    static final int WHITESPACE

RegularExpression Id.

See Also:
  Constant Field Values

#### JDBC_LITERAL

    static final int JDBC_LITERAL

RegularExpression Id.

See Also:
  Constant Field Values

#### SINGLE_LINE_COMMENT

    static final int SINGLE_LINE_COMMENT

RegularExpression Id.

See Also:
  Constant Field Values

#### ALTER

    static final int ALTER

RegularExpression Id.

See Also:
  Constant Field Values

#### ATTACH

    static final int ATTACH

RegularExpression Id.

See Also:
  Constant Field Values

#### CHECK

    static final int CHECK

RegularExpression Id.

See Also:
  Constant Field Values

#### CREATE

    static final int CREATE

RegularExpression Id.

See Also:
  Constant Field Values

#### DELETE

    static final int DELETE

RegularExpression Id.

See Also:
  Constant Field Values

#### DESC

    static final int DESC

RegularExpression Id.

See Also:
  Constant Field Values

#### DESCRIBE

    static final int DESCRIBE

RegularExpression Id.

See Also:
  Constant Field Values

#### DETACH

    static final int DETACH

RegularExpression Id.

See Also:
  Constant Field Values

#### DROP

    static final int DROP

RegularExpression Id.

See Also:
  Constant Field Values

#### EXISTS

    static final int EXISTS

RegularExpression Id.

See Also:
  Constant Field Values

#### EXPLAIN

    static final int EXPLAIN

RegularExpression Id.

See Also:
  Constant Field Values

#### GRANT

    static final int GRANT

RegularExpression Id.

See Also:
  Constant Field Values

#### INSERT

    static final int INSERT

RegularExpression Id.

See Also:
  Constant Field Values

#### KILL

    static final int KILL

RegularExpression Id.

See Also:
  Constant Field Values

#### OPTIMIZE

    static final int OPTIMIZE

RegularExpression Id.

See Also:
  Constant Field Values

#### RENAME

    static final int RENAME

RegularExpression Id.

See Also:
  Constant Field Values

#### REVOKE

    static final int REVOKE

RegularExpression Id.

See Also:
  Constant Field Values

#### SELECT

    static final int SELECT

RegularExpression Id.

See Also:
  Constant Field Values

#### SET

    static final int SET

RegularExpression Id.

See Also:
  Constant Field Values

#### SHOW

    static final int SHOW

RegularExpression Id.

See Also:
  Constant Field Values

#### SYSTEM

    static final int SYSTEM

RegularExpression Id.

See Also:
  Constant Field Values

#### TRUNCATE

    static final int TRUNCATE

RegularExpression Id.

See Also:
  Constant Field Values

#### UPDATE

    static final int UPDATE

RegularExpression Id.

See Also:
  Constant Field Values

#### USE

    static final int USE

RegularExpression Id.

See Also:
  Constant Field Values

#### WATCH

    static final int WATCH

RegularExpression Id.

See Also:
  Constant Field Values

#### ALL

    static final int ALL

RegularExpression Id.

See Also:
  Constant Field Values

#### AND

    static final int AND

RegularExpression Id.

See Also:
  Constant Field Values

#### APPLY

    static final int APPLY

RegularExpression Id.

See Also:
  Constant Field Values

#### ARRAY

    static final int ARRAY

RegularExpression Id.

See Also:
  Constant Field Values

#### AS

    static final int AS

RegularExpression Id.

See Also:
  Constant Field Values

#### ASOF

    static final int ASOF

RegularExpression Id.

See Also:
  Constant Field Values

#### BETWEEN

    static final int BETWEEN

RegularExpression Id.

See Also:
  Constant Field Values

#### CASE

    static final int CASE

RegularExpression Id.

See Also:
  Constant Field Values

#### CLUSTER

    static final int CLUSTER

RegularExpression Id.

See Also:
  Constant Field Values

#### DATE

    static final int DATE

RegularExpression Id.

See Also:
  Constant Field Values

#### DATABASE

    static final int DATABASE

RegularExpression Id.

See Also:
  Constant Field Values

#### DATABASES

    static final int DATABASES

RegularExpression Id.

See Also:
  Constant Field Values

#### DICTIONARY

    static final int DICTIONARY

RegularExpression Id.

See Also:
  Constant Field Values

#### DICTIONARIES

    static final int DICTIONARIES

RegularExpression Id.

See Also:
  Constant Field Values

#### DISTINCT

    static final int DISTINCT

RegularExpression Id.

See Also:
  Constant Field Values

#### ELSE

    static final int ELSE

RegularExpression Id.

See Also:
  Constant Field Values

#### END

    static final int END

RegularExpression Id.

See Also:
  Constant Field Values

#### EXCEPT

    static final int EXCEPT

RegularExpression Id.

See Also:
  Constant Field Values

#### FINAL

    static final int FINAL

RegularExpression Id.

See Also:
  Constant Field Values

#### FORMAT

    static final int FORMAT

RegularExpression Id.

See Also:
  Constant Field Values

#### FROM

    static final int FROM

RegularExpression Id.

See Also:
  Constant Field Values

#### FULL

    static final int FULL

RegularExpression Id.

See Also:
  Constant Field Values

#### FUNCTION

    static final int FUNCTION

RegularExpression Id.

See Also:
  Constant Field Values

#### GLOBAL

    static final int GLOBAL

RegularExpression Id.

See Also:
  Constant Field Values

#### GROUP

    static final int GROUP

RegularExpression Id.

See Also:
  Constant Field Values

#### HAVING

    static final int HAVING

RegularExpression Id.

See Also:
  Constant Field Values

#### IF

    static final int IF

RegularExpression Id.

See Also:
  Constant Field Values

#### ILIKE

    static final int ILIKE

RegularExpression Id.

See Also:
  Constant Field Values

#### IN

    static final int IN

RegularExpression Id.

See Also:
  Constant Field Values

#### INNER

    static final int INNER

RegularExpression Id.

See Also:
  Constant Field Values

#### INPUT

    static final int INPUT

RegularExpression Id.

See Also:
  Constant Field Values

#### INTERVAL

    static final int INTERVAL

RegularExpression Id.

See Also:
  Constant Field Values

#### INTO

    static final int INTO

RegularExpression Id.

See Also:
  Constant Field Values

#### IS

    static final int IS

RegularExpression Id.

See Also:
  Constant Field Values

#### JOIN

    static final int JOIN

RegularExpression Id.

See Also:
  Constant Field Values

#### LEFT

    static final int LEFT

RegularExpression Id.

See Also:
  Constant Field Values

#### LIKE

    static final int LIKE

RegularExpression Id.

See Also:
  Constant Field Values

#### LIMIT

    static final int LIMIT

RegularExpression Id.

See Also:
  Constant Field Values

#### LIVE

    static final int LIVE

RegularExpression Id.

See Also:
  Constant Field Values

#### MATERIALIZED

    static final int MATERIALIZED

RegularExpression Id.

See Also:
  Constant Field Values

#### NOT

    static final int NOT

RegularExpression Id.

See Also:
  Constant Field Values

#### OFFSET

    static final int OFFSET

RegularExpression Id.

See Also:
  Constant Field Values

#### ON

    static final int ON

RegularExpression Id.

See Also:
  Constant Field Values

#### OR

    static final int OR

RegularExpression Id.

See Also:
  Constant Field Values

#### ORDER

    static final int ORDER

RegularExpression Id.

See Also:
  Constant Field Values

#### OUTFILE

    static final int OUTFILE

RegularExpression Id.

See Also:
  Constant Field Values

#### POLICY

    static final int POLICY

RegularExpression Id.

See Also:
  Constant Field Values

#### PREWHERE

    static final int PREWHERE

RegularExpression Id.

See Also:
  Constant Field Values

#### PROFILE

    static final int PROFILE

RegularExpression Id.

See Also:
  Constant Field Values

#### QUOTA

    static final int QUOTA

RegularExpression Id.

See Also:
  Constant Field Values

#### REPLACE

    static final int REPLACE

RegularExpression Id.

See Also:
  Constant Field Values

#### ROLE

    static final int ROLE

RegularExpression Id.

See Also:
  Constant Field Values

#### ROW

    static final int ROW

RegularExpression Id.

See Also:
  Constant Field Values

#### RIGHT

    static final int RIGHT

RegularExpression Id.

See Also:
  Constant Field Values

#### SAMPLE

    static final int SAMPLE

RegularExpression Id.

See Also:
  Constant Field Values

#### SETTINGS

    static final int SETTINGS

RegularExpression Id.

See Also:
  Constant Field Values

#### TEMPORARY

    static final int TEMPORARY

RegularExpression Id.

See Also:
  Constant Field Values

#### TABLE

    static final int TABLE

RegularExpression Id.

See Also:
  Constant Field Values

#### TABLES

    static final int TABLES

RegularExpression Id.

See Also:
  Constant Field Values

#### THEN

    static final int THEN

RegularExpression Id.

See Also:
  Constant Field Values

#### TIES

    static final int TIES

RegularExpression Id.

See Also:
  Constant Field Values

#### TIMESTAMP

    static final int TIMESTAMP

RegularExpression Id.

See Also:
  Constant Field Values

#### TOP

    static final int TOP

RegularExpression Id.

See Also:
  Constant Field Values

#### TOTALS

    static final int TOTALS

RegularExpression Id.

See Also:
  Constant Field Values

#### UNION

    static final int UNION

RegularExpression Id.

See Also:
  Constant Field Values

#### USER

    static final int USER

RegularExpression Id.

See Also:
  Constant Field Values

#### USING

    static final int USING

RegularExpression Id.

See Also:
  Constant Field Values

#### VALUES

    static final int VALUES

RegularExpression Id.

See Also:
  Constant Field Values

#### VIEW

    static final int VIEW

RegularExpression Id.

See Also:
  Constant Field Values

#### WHEN

    static final int WHEN

RegularExpression Id.

See Also:
  Constant Field Values

#### WHERE

    static final int WHERE

RegularExpression Id.

See Also:
  Constant Field Values

#### WITH

    static final int WITH

RegularExpression Id.

See Also:
  Constant Field Values

#### SECOND

    static final int SECOND

RegularExpression Id.

See Also:
  Constant Field Values

#### MINUTE

    static final int MINUTE

RegularExpression Id.

See Also:
  Constant Field Values

#### HOUR

    static final int HOUR

RegularExpression Id.

See Also:
  Constant Field Values

#### DAY

    static final int DAY

RegularExpression Id.

See Also:
  Constant Field Values

#### WEEK

    static final int WEEK

RegularExpression Id.

See Also:
  Constant Field Values

#### MONTH

    static final int MONTH

RegularExpression Id.

See Also:
  Constant Field Values

#### QUARTER

    static final int QUARTER

RegularExpression Id.

See Also:
  Constant Field Values

#### YEAR

    static final int YEAR

RegularExpression Id.

See Also:
  Constant Field Values

#### INF

    static final int INF

RegularExpression Id.

See Also:
  Constant Field Values

#### NAN

    static final int NAN

RegularExpression Id.

See Also:
  Constant Field Values

#### NULL

    static final int NULL

RegularExpression Id.

See Also:
  Constant Field Values

#### A

    static final int A

RegularExpression Id.

See Also:
  Constant Field Values

#### B

    static final int B

RegularExpression Id.

See Also:
  Constant Field Values

#### C

    static final int C

RegularExpression Id.

See Also:
  Constant Field Values

#### D

    static final int D

RegularExpression Id.

See Also:
  Constant Field Values

#### E

    static final int E

RegularExpression Id.

See Also:
  Constant Field Values

#### F

    static final int F

RegularExpression Id.

See Also:
  Constant Field Values

#### G

    static final int G

RegularExpression Id.

See Also:
  Constant Field Values

#### H

    static final int H

RegularExpression Id.

See Also:
  Constant Field Values

#### I

    static final int I

RegularExpression Id.

See Also:
  Constant Field Values

#### J

    static final int J

RegularExpression Id.

See Also:
  Constant Field Values

#### K

    static final int K

RegularExpression Id.

See Also:
  Constant Field Values

#### L

    static final int L

RegularExpression Id.

See Also:
  Constant Field Values

#### M

    static final int M

RegularExpression Id.

See Also:
  Constant Field Values

#### N

    static final int N

RegularExpression Id.

See Also:
  Constant Field Values

#### O

    static final int O

RegularExpression Id.

See Also:
  Constant Field Values

#### P

    static final int P

RegularExpression Id.

See Also:
  Constant Field Values

#### Q

    static final int Q

RegularExpression Id.

See Also:
  Constant Field Values

#### R

    static final int R

RegularExpression Id.

See Also:
  Constant Field Values

#### S

    static final int S

RegularExpression Id.

See Also:
  Constant Field Values

#### T

    static final int T

RegularExpression Id.

See Also:
  Constant Field Values

#### U

    static final int U

RegularExpression Id.

See Also:
  Constant Field Values

#### V

    static final int V

RegularExpression Id.

See Also:
  Constant Field Values

#### W

    static final int W

RegularExpression Id.

See Also:
  Constant Field Values

#### X

    static final int X

RegularExpression Id.

See Also:
  Constant Field Values

#### Y

    static final int Y

RegularExpression Id.

See Also:
  Constant Field Values

#### Z

    static final int Z

RegularExpression Id.

See Also:
  Constant Field Values

#### LETTER

    static final int LETTER

RegularExpression Id.

See Also:
  Constant Field Values

#### ZERO

    static final int ZERO

RegularExpression Id.

See Also:
  Constant Field Values

#### DEC_DIGIT

    static final int DEC_DIGIT

RegularExpression Id.

See Also:
  Constant Field Values

#### HEX_DIGIT

    static final int HEX_DIGIT

RegularExpression Id.

See Also:
  Constant Field Values

#### ARROW

    static final int ARROW

RegularExpression Id.

See Also:
  Constant Field Values

#### ASTERISK

    static final int ASTERISK

RegularExpression Id.

See Also:
  Constant Field Values

#### AT

    static final int AT

RegularExpression Id.

See Also:
  Constant Field Values

#### BACK_QUOTE

    static final int BACK_QUOTE

RegularExpression Id.

See Also:
  Constant Field Values

#### BACK_SLASH

    static final int BACK_SLASH

RegularExpression Id.

See Also:
  Constant Field Values

#### COLON

    static final int COLON

RegularExpression Id.

See Also:
  Constant Field Values

#### COMMA

    static final int COMMA

RegularExpression Id.

See Also:
  Constant Field Values

#### CONCAT

    static final int CONCAT

RegularExpression Id.

See Also:
  Constant Field Values

#### CONVERT

    static final int CONVERT

RegularExpression Id.

See Also:
  Constant Field Values

#### DASH

    static final int DASH

RegularExpression Id.

See Also:
  Constant Field Values

#### DOLLAR

    static final int DOLLAR

RegularExpression Id.

See Also:
  Constant Field Values

#### DOT

    static final int DOT

RegularExpression Id.

See Also:
  Constant Field Values

#### EQ_DOUBLE

    static final int EQ_DOUBLE

RegularExpression Id.

See Also:
  Constant Field Values

#### EQ_SINGLE

    static final int EQ_SINGLE

RegularExpression Id.

See Also:
  Constant Field Values

#### GE

    static final int GE

RegularExpression Id.

See Also:
  Constant Field Values

#### GT

    static final int GT

RegularExpression Id.

See Also:
  Constant Field Values

#### HASH

    static final int HASH

RegularExpression Id.

See Also:
  Constant Field Values

#### LBRACE

    static final int LBRACE

RegularExpression Id.

See Also:
  Constant Field Values

#### LBRACKET

    static final int LBRACKET

RegularExpression Id.

See Also:
  Constant Field Values

#### LE

    static final int LE

RegularExpression Id.

See Also:
  Constant Field Values

#### LPAREN

    static final int LPAREN

RegularExpression Id.

See Also:
  Constant Field Values

#### LT

    static final int LT

RegularExpression Id.

See Also:
  Constant Field Values

#### NOT_EQ

    static final int NOT_EQ

RegularExpression Id.

See Also:
  Constant Field Values

#### PERCENT

    static final int PERCENT

RegularExpression Id.

See Also:
  Constant Field Values

#### PLUS

    static final int PLUS

RegularExpression Id.

See Also:
  Constant Field Values

#### QUERY

    static final int QUERY

RegularExpression Id.

See Also:
  Constant Field Values

#### DOUBLE_QUOTE

    static final int DOUBLE_QUOTE

RegularExpression Id.

See Also:
  Constant Field Values

#### SINGLE_QUOTE

    static final int SINGLE_QUOTE

RegularExpression Id.

See Also:
  Constant Field Values

#### RBRACE

    static final int RBRACE

RegularExpression Id.

See Also:
  Constant Field Values

#### RBRACKET

    static final int RBRACKET

RegularExpression Id.

See Also:
  Constant Field Values

#### RPAREN

    static final int RPAREN

RegularExpression Id.

See Also:
  Constant Field Values

#### SEMICOLON

    static final int SEMICOLON

RegularExpression Id.

See Also:
  Constant Field Values

#### SLASH

    static final int SLASH

RegularExpression Id.

See Also:
  Constant Field Values

#### UNDERSCORE

    static final int UNDERSCORE

RegularExpression Id.

See Also:
  Constant Field Values

#### STRING_LITERAL

    static final int STRING_LITERAL

RegularExpression Id.

See Also:
  Constant Field Values

#### IDENTIFIER

    static final int IDENTIFIER

RegularExpression Id.

See Also:
  Constant Field Values

#### BACK_QUOTED_NAME

    static final int BACK_QUOTED_NAME

RegularExpression Id.

See Also:
  Constant Field Values

#### DOUBLE_QUOTED_NAME

    static final int DOUBLE_QUOTED_NAME

RegularExpression Id.

See Also:
  Constant Field Values

#### FLOATING_LITERAL

    static final int FLOATING_LITERAL

RegularExpression Id.

See Also:
  Constant Field Values

#### DECIMAL_LITERAL

    static final int DECIMAL_LITERAL

RegularExpression Id.

See Also:
  Constant Field Values

#### HEXADECIMAL_LITERAL

    static final int HEXADECIMAL_LITERAL

RegularExpression Id.

See Also:
  Constant Field Values

#### DEFAULT

    static final int DEFAULT

Lexical state.

See Also:
  Constant Field Values

#### MULTI_LINE_COMMENT

    static final int MULTI_LINE_COMMENT

Lexical state.

See Also:
  Constant Field Values

#### tokenImage

    static final String[] tokenImage

Literal token values.